:root {
  --success-1: #00a175;
  --success-2: #71dcc7;
}

body {
  font-family: IRANSans, 'IRANSans', sans-serif;
  font-size: 1rem;
  direction: rtl;
  text-align: right;
  color: #535353;
  background-color: #f8f8fa;
}

@font-face {
  font-family: 'IRANSans';
  src: url('//db.onlinewebfonts.com/t/0b0a8c345731751b990403a2cf40fbec.eot');
  src: url('//db.onlinewebfonts.com/t/0b0a8c345731751b990403a2cf40fbec.eot?#iefix')
      format('embedded-opentype'),
    url('//db.onlinewebfonts.com/t/0b0a8c345731751b990403a2cf40fbec.woff2')
      format('woff2'),
    url('//db.onlinewebfonts.com/t/0b0a8c345731751b990403a2cf40fbec.woff')
      format('woff'),
    url('//db.onlinewebfonts.com/t/0b0a8c345731751b990403a2cf40fbec.ttf')
      format('truetype'),
    url('//db.onlinewebfonts.com/t/0b0a8c345731751b990403a2cf40fbec.svg#IRAN Sans')
      format('svg');
}

/* Reset bootstrap */
.form-control:focus {
  border-color: unset;
  outline: 0;
  box-shadow: none;
}
.btn-check:focus + .btn,
.btn:focus {
  box-shadow: none;
}

/* Start custome class */
.f-12 {
  font-size: 12px;
}

.cursor-pointer {
  cursor: pointer;
}

/* rounded */
.rounded-20 {
  border-radius: 20px;
}
.rounded-12 {
  border-radius: 10px;
}
.rounded-10 {
  border-radius: 10px;
}

/* bg-color */
.bg-dark1 {
  background-color: #eeeeee;
}

/* text-color */
.text-success-1 {
  color: var(--success-1);
}

/* borders */
.border-success-1 {
  border-color: var(--success-2) !important;
}

/* badges */
.badge-danger-1 {
  background-color: #fcecef;
  color: #df3856;
}

/* Switch */
.switch-checkbox-wrapper input.switch {
  position: relative;
  top: 2px;
  z-index: 1;
  appearance: none;
  width: 34px;
  height: 14px;
  border-radius: 30px;
  background: #9f9f9f;
  outline: 0;
  cursor: pointer;
}

.switch-checkbox-wrapper input.switch:checked {
  background: #9fe7da;
}

.switch-checkbox-wrapper input.switch:after {
  position: absolute;
  content: '';
  width: 20px;
  height: 20px;
  background: white;
  border-radius: 50%;
  left: -1px;
  top: 50%;
  transform: translateY(-50%);
  box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.25);
  transition: all 0.35s;
}

.switch-checkbox-wrapper input.switch:checked:after {
  left: calc(100% - 18px);
  background-color: #00c09d;
}

/* CheckBox */
.checkbox-wrapper {
  display: block;
  position: relative;
  padding-right: 30px;
  margin-bottom: 16px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-wrapper input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  height: 20px;
  width: 20px;
  border: 2px solid #9d9d9d;
  border-radius: 0.25rem;
  transition: 0.2s;
}

/* On mouse-over, add a grey background color */
.checkbox-wrapper:hover input ~ .checkmark {
  background-color: #9fe7da;
  border-color: #00c09d;
  transition: all 0.2s;
}

/* When the checkbox is checked, add a blue background */
.checkbox-wrapper input:checked ~ .checkmark {
  background-color: #00c09d;
  border-color: #00c09d;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-wrapper input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-wrapper .checkmark:after {
  left: 5px;
  top: 0px;
  width: 6px;
  height: 14px;
  border: solid white;
  border-width: 0 2px 2px 0px;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
